Subject: [dhcwg] Periodically check DHCPv4 server availability from relay agent?

From: Mueller-Zimmermann Bernd <[email-masked]>
Date: Thu, 10 Jan 2002 15:30:55 +0100

Is there any DHCP v4 request to check, whether the server is responding?

We are programming a DHCP/bootp relay agent. Our relay agent talks to
an external DHCP server given by its IP address. We want to make the
information available to the local administrator, whether the external DHCP
server is "alive", whether it is responding. We want to periodically check
the availability, even if no client requests are currently being relayed.

From RFC 2131 and RFC 2132 I see nothing that could be used like a
"DHCP ECHO" request. Is there any DHCP request, that is guaranteed
to get a response from the server -- beside faking a client DISCOVER.
(Even negative responses would be o.k, just any reponse.)

Thanks a lot.

[email-masked]

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg